@echo off

if "%1"=="" goto :usage
if "%1"=="sys" goto :usage
if "%1"=="system" goto :usage

sqlplus %1 @delete_demo_data

sqlldr %1 control=prty
sqlldr %1 control=parl
sqlldr %1 control=prel
sqlldr %1 control=drwg
sqlldr %1 control=bas
sqlldr %1 control=hou
sqlldr %1 control=cnty
sqlldr %1 control=cnor
sqlldr %1 control=metr
sqlldr %1 control=slty
sqlldr %1 control=slva
sqlldr %1 control=rvty
sqlldr %1 control=reva
sqlldr %1 control=rety
sqlldr %1 control=regu
sqlldr %1 control=fity
sqlldr %1 control=fltr
sqlldr %1 control=modu
sqlldr %1 control=adit
sqlldr %1 control=cost

sqlplus %1 @create_passwords

goto :done

:usage

echo usage 		InstallDemoData user/password@database

:done

